<?php

/**
 * @Copyright Copyright (C) 2023 jtotal.org All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
 * @link https://jtotal.org
 */

use Joomla\CMS\Factory;
use Joomla\CMS\Plugin\CMSPlugin;
use Joomla\CMS\Plugin\PluginHelper;

// no direct access
defined('_JEXEC') or die;

class plgSystemJtmap extends CMSPlugin
{

    public function onAfterRender()
    {

        $app = Factory::getApplication();

        $jinput = Factory::getApplication()->input;



        if ($jinput->get('option', '') == 'com_categories' &&
            in_array($jinput->get('view', ''), array('categories', 'category'))) {

            PluginHelper::importPlugin('content.jtmap');
            $data = Factory::getApplication()->triggerEvent('onCategoryDisplay', array('category', $jinput->get('id')));
            //$data = Factory::getApplication()->getDispatcher()->dispatch('onCategoryDisplay', array('category', $jinput->get('id')));
        }

        if (isset($data) && !empty($data)) {

            $output = $app->getBody();

            //$output = WebApplication::getBody();
            $app->setBody(str_replace("</body>", implode("\n", $data) . "\n</body>", $output));
        }
    }

}
